<xml> </xml>

db4o |

# Db4oCollections.NewLinkedList Method

creates a new database-aware linked list.

Db4oList NewLinkedList();

#### Return Value

com.db4o.types.Db4oList

#### Remarks

creates a new database-aware linked list.
Usage:
- declare a

    java.util.List

variable in your persistent class.
- fill this variable with this method.
Example:

                class MyClass{
                List myList;
                }
                MyClass myObject = new MyClass();
                myObject.myList = objectContainer.ext().collections().newLinkedList();

#### See Also

Db4oCollections Interface | com.db4o.types Namespace | com.db4o.types.Db4oList